(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     29882,        626]
NotebookOptionsPosition[     30124,        615]
NotebookOutlinePosition[     30657,        638]
CellTagsIndexPosition[     30614,        635]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`circuit$$ = 
    1, $CellContext`logC2$$ = -5., $CellContext`logf$$ = -1., \
$CellContext`logL1$$ = -6., $CellContext`logR1$$ = -1., $CellContext`logR2$$ =
     0.5, $CellContext`logRd$$ = -1., $CellContext`tau$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["How to use EIS contour plot.", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["VMP3 alone.", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Simulation for the", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["equivalent circuit", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`circuit$$], 1, ""}, {
      1 -> "R1+R2/C2", 2 -> "R1+L1+R2/C2", 3 -> "R1+C2/(R2+M2)"}}, {
      Hold[
       Dynamic[
        Part[$CellContext`graphCirc, $CellContext`circuit$$]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Frequency parameter", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logf$$], -1., 
       "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)"}, -4, 6, 
      0.1}, {
      Hold[
       Style["R1+R2/C2, common parameters", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logR1$$], -1., 
       "log(\!\(\*\nStyleBox[\"R\",\n\
FontSlant->\"Italic\"]\)1/\[CapitalOmega])"}, -2, 2, 0.1}, {{
       Hold[$CellContext`logR2$$], 0.5, 
       "log(\!\(\*\nStyleBox[\"R\",\n\
FontSlant->\"Italic\"]\)2/\[CapitalOmega])"}, -2, 6.5, 0.1}, {{
       Hold[$CellContext`logC2$$], -5., 
       "log(\!\(\*\nStyleBox[\"C\",\nFontSlant->\"Italic\"]\)2/F)"}, -10, -5, 
      0.1}, {
      Hold[
       Style["L1+R1+R2/C2", 10, Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
      
       Hold[$CellContext`logL1$$], -6., 
       "log(\!\(\*\nStyleBox[\"L\",\nFontSlant->\"Italic\"]\)1/H)"}, -6, -4, 
      0.1}, {
      Hold[
       Style["R1+C2/(R2+M2)", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logRd$$], -1., 
       "log(\!\(\*SubscriptBox[\n StyleBox[\"R\",\nFontSlant->\"Italic\"], \
\"d\"]\)/H)"}, -2, 4, 0.1}, {{
       Hold[$CellContext`tau$$], 0.1, "\[Tau]/s"}, 0.1, 5, 0.1}}, 
    Typeset`size$$ = {300., {307., 312.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`circuit$27413$$ = False, $CellContext`logf$27414$$ = 
    0, $CellContext`logR1$27415$$ = 0, $CellContext`logR2$27416$$ = 
    0, $CellContext`logC2$27417$$ = 0, $CellContext`logL1$27418$$ = 
    0, $CellContext`logRd$27419$$ = 0, $CellContext`tau$27420$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`circuit$$ = 
        1, $CellContext`logC2$$ = -5., $CellContext`logf$$ = -1., \
$CellContext`logL1$$ = -6., $CellContext`logR1$$ = -1., $CellContext`logR2$$ = 
        0.5, $CellContext`logRd$$ = -1., $CellContext`tau$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`circuit$$, $CellContext`circuit$27413$$, False], 
        Hold[$CellContext`logf$$, $CellContext`logf$27414$$, 0], 
        Hold[$CellContext`logR1$$, $CellContext`logR1$27415$$, 0], 
        Hold[$CellContext`logR2$$, $CellContext`logR2$27416$$, 0], 
        Hold[$CellContext`logC2$$, $CellContext`logC2$27417$$, 0], 
        Hold[$CellContext`logL1$$, $CellContext`logL1$27418$$, 0], 
        Hold[$CellContext`logRd$$, $CellContext`logRd$27419$$, 0], 
        Hold[$CellContext`tau$$, $CellContext`tau$27420$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`R1 = 10^$CellContext`logR1$$; $CellContext`R2 = 
        10^$CellContext`logR2$$; $CellContext`C2 = 
        10^$CellContext`logC2$$; $CellContext`Rd = 
        10^$CellContext`logRd$$; $CellContext`L1 = 
        10^$CellContext`logL1$$; $CellContext`fx = 
        0.85 10^(-2); $CellContext`fc = 
        1/(2 Pi $CellContext`R2 $CellContext`C2); $CellContext`lad = {
         1/($CellContext`R1 + $CellContext`R2), 
          1/($CellContext`R1 + $CellContext`R2), 
          1/($CellContext`R1 + $CellContext`R2 + $CellContext`Rd/
           3)}; $CellContext`x = $CellContext`logf$$; $CellContext`y = Log10[
          Abs[
           Subscript[$CellContext`Z, $CellContext`circuit$$][
           I 2 Pi 10^$CellContext`logf$$]]]; $CellContext`couleur = 
        Red; $CellContext`colpol = LightRed; If[
         And[$CellContext`y < 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab1, 1]], $CellContext`y < 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab1, 2]], $CellContext`y < 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab1, 3]], $CellContext`y < 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab1, 4]], $CellContext`y < 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab1, 5]], $CellContext`y > 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab1, 6]], $CellContext`y > 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab1, 7]]], {$CellContext`couleur = 
          Orange, $CellContext`colpol = LightOrange}]; If[
         And[$CellContext`y <= 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab2, 1]], $CellContext`y <= 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab2, 2]], $CellContext`y <= 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab2, 3]], $CellContext`y <= 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab2, 4]], $CellContext`y >= 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab2, 5]], $CellContext`y > 
          ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
            Part[$CellContext`lab2, 6]]], {$CellContext`couleur = 
          Green, $CellContext`colpol = LightGreen}]; $CellContext`gNyq = 
        ParametricPlot[Part[$CellContext`lad, $CellContext`circuit$$] {
            Re[
             Subscript[$CellContext`Z, $CellContext`circuit$$][
             I 2 Pi 10^$CellContext`logfreq]], -Im[
              Subscript[$CellContext`Z, $CellContext`circuit$$][
              I 2 Pi 10^$CellContext`logfreq]]}, {$CellContext`logfreq, -5, 
           12}, Frame -> True, FrameLabel -> {
            Part[$CellContext`llabelNyqx, $CellContext`circuit$$], 
            Part[$CellContext`llabelNyqy, $CellContext`circuit$$]}, 
          PlotRange -> {{-0.05, 1.1}, {-0.2, 0.7}}, 
          BaseStyle -> {FontFamily -> "Helvetica", FontSize -> 10}, PlotStyle -> {
            AbsoluteThickness[2]}, AxesOrigin -> {0, 0}, 
          FrameTicks -> {{0, 0.5, 1}, {0, 0.5}, None, None}, 
          Epilog -> {$CellContext`colpol, $CellContext`poly, 
            Black, $CellContext`precis, 
            AbsoluteThickness[2.], 
            AbsolutePointSize[10], Black, 
            Point[Part[$CellContext`lad, $CellContext`circuit$$] {
               Re[
                Subscript[$CellContext`Z, $CellContext`circuit$$][
                I 2 Pi 10^$CellContext`logf$$]], -Im[
                 Subscript[$CellContext`Z, $CellContext`circuit$$][
                 I 2 Pi 10^$CellContext`logf$$]]}], 
            AbsolutePointSize[8], $CellContext`couleur, 
            Point[Part[$CellContext`lad, $CellContext`circuit$$] {
               Re[
                Subscript[$CellContext`Z, $CellContext`circuit$$][
                I 2 Pi 10^$CellContext`logf$$]], -Im[
                 Subscript[$CellContext`Z, $CellContext`circuit$$][
                 I 2 Pi 10^$CellContext`logf$$]]}]}, ImageSize -> 
          250]; $CellContext`gBod = Plot[
          Log10[
           Abs[
            Subscript[$CellContext`Z, $CellContext`circuit$$][
            I 2 Pi 10^$CellContext`logfreq]]], {$CellContext`logfreq, -4, 6}, 
          PlotStyle -> {
            AbsoluteThickness[2]}, PlotRange -> {{-4, 6}, {-4, 9}}, Frame -> 
          True, BaseStyle -> {FontFamily -> "Helvetica", FontSize -> 10}, 
          FrameLabel -> {
           "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)", 
            "log(|\!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)|/\
\[CapitalOmega])"}, Axes -> None, 
          FrameTicks -> {{-4, -2, 0, 2, 4, 6}, {-6, -3, 0, 3, 6}, None, None},
           Epilog -> {$CellContext`colpol, $CellContext`poly, 
            Black, $CellContext`precis, 
            AbsolutePointSize[10], Black, 
            Point[{$CellContext`x, $CellContext`y}], 
            AbsolutePointSize[8], $CellContext`couleur, 
            Point[{$CellContext`x, $CellContext`y}]}]; 
       GraphicsColumn[{$CellContext`gNyq, $CellContext`gBod, 
          Show[$CellContext`gContour, $CellContext`gBod, Epilog -> {Black, 
             Text["1% 1\[Degree]", 
              Scaled[{0.3, 0.21}]], 
             Text["3% 3\[Degree]", 
              Scaled[{0.3, 0.12}]], 
             AbsolutePointSize[10], 
             Point[{$CellContext`x, $CellContext`y}], 
             AbsolutePointSize[8], $CellContext`couleur, 
             Point[{$CellContext`x, $CellContext`y}]}]}, ImageSize -> 300, 
         Spacings -> -10]), "Specifications" :> {
        Style["How to use EIS contour plot.", Bold, Medium], Delimiter, 
        Style["VMP3 alone.", Bold, Medium], Delimiter, 
        Style["Simulation for the", Bold, Medium], 
        Style[
        "equivalent circuit", Bold, 
         Medium], {{$CellContext`circuit$$, 1, ""}, {
         1 -> "R1+R2/C2", 2 -> "R1+L1+R2/C2", 3 -> "R1+C2/(R2+M2)"}, 
         ControlType -> PopupMenu}, 
        Dynamic[
         Part[$CellContext`graphCirc, $CellContext`circuit$$]], Delimiter, 
        Style[
        "Frequency parameter", 10, 
         Bold], {{$CellContext`logf$$, -1., 
          "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)"}, -4, 6,
          0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "R1+R2/C2, common parameters", 10, 
         Bold], {{$CellContext`logR1$$, -1., 
          "log(\!\(\*\nStyleBox[\"R\",\nFontSlant->\"Italic\"]\)1/\
\[CapitalOmega])"}, -2, 2, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`logR2$$, 0.5, 
          "log(\!\(\*\nStyleBox[\"R\",\nFontSlant->\"Italic\"]\)2/\
\[CapitalOmega])"}, -2, 6.5, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`logC2$$, -5., 
          "log(\!\(\*\nStyleBox[\"C\",\nFontSlant->\"Italic\"]\)2/F)"}, -10, \
-5, 0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "L1+R1+R2/C2", 10, 
         Bold], {{$CellContext`logL1$$, -6., 
          "log(\!\(\*\nStyleBox[\"L\",\nFontSlant->\"Italic\"]\)1/H)"}, -6, \
-4, 0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "R1+C2/(R2+M2)", 10, 
         Bold], {{$CellContext`logRd$$, -1., 
          "log(\!\(\*SubscriptBox[\n StyleBox[\"R\",\nFontSlant->\"Italic\"], \
\"d\"]\)/H)"}, -2, 4, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`tau$$, 0.1, "\[Tau]/s"}, 0.1, 5, 0.1, 
         ImageSize -> Tiny, Appearance -> "Labeled"}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> True, FrameLabel -> {
          Style["2014 \[Copyright] www.bio-logic.info", Medium]}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{556., {343., 348.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((Subscript[$CellContext`Z, 1][
         Pattern[$CellContext`p, 
          Blank[]]] := $CellContext`R1 + $CellContext`R2/(
         1 + $CellContext`R2 $CellContext`C2 $CellContext`p); 
      Subscript[$CellContext`Z, 2][
         Pattern[$CellContext`p, 
          
          Blank[]]] := $CellContext`L1 $CellContext`p + $CellContext`R1 + \
$CellContext`R2/(1 + $CellContext`R2 $CellContext`C2 $CellContext`p); 
      Subscript[$CellContext`Z, 3][
         Pattern[$CellContext`p$, 
          
          Blank[]]] := $CellContext`R1 + ($CellContext`R2 + $CellContext`Rd (
            Coth[($CellContext`tau$$ $CellContext`p$)^
              Rational[1, 2]]/($CellContext`tau$$ $CellContext`p$)^
            Rational[1, 2]))/(
         1 + $CellContext`p$ $CellContext`C2 ($CellContext`R2 + \
$CellContext`Rd (
             Coth[($CellContext`tau$$ $CellContext`p$)^
               Rational[1, 2]]/($CellContext`tau$$ $CellContext`p$)^
             Rational[1, 2]))); Cap[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L - $CellContext`L/20, $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`trepais], 
          
          Line[{{$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/2}}]}]; $CellContext`Res[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L/2, $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + 
             3 ($CellContext`L/2), $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO - $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO + $CellContext`l - \
$CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO + $CellContext`l - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2, $CellContext`yO + $CellContext`l - $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2, $CellContext`yO + $CellContext`l - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2, $CellContext`yO - $CellContext`l/2}}]}]; $CellContext`RpC[
         Pattern[$CellContext`x0, 
          Blank[]], 
         Pattern[$CellContext`y0, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Block[{}, {
          Graphics[{
            AbsoluteThickness[$CellContext`trfin], 
            
            Line[{{$CellContext`x0, $CellContext`y0}, {$CellContext`x0, \
$CellContext`y0 + $CellContext`L}}], 
            
            Line[{{$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0}, {$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0 + $CellContext`L}}], 
            
            Line[{{$CellContext`x0 - $CellContext`L/
               2, $CellContext`y0 + $CellContext`L/
                2}, {$CellContext`x0, $CellContext`y0 + $CellContext`L/2}}], 
            
            Line[{{$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0 + $CellContext`L/
                2}, {$CellContext`x0 + 
               2 $CellContext`L + $CellContext`L/
                2, $CellContext`y0 + $CellContext`L/2}}]}], 
          $CellContext`Res[$CellContext`x0, $CellContext`y0, $CellContext`L, \
$CellContext`l], 
          
          Cap[$CellContext`x0, $CellContext`L, $CellContext`L, \
$CellContext`l]}]; $CellContext`trfin = 0.5; $CellContext`tr = 
       1; $CellContext`trepais = 1.5; $CellContext`L = 1; $CellContext`l = 
       0.4; $CellContext`fRRC = Show[{
          $CellContext`Res[
          0.5 $CellContext`L, $CellContext`L/
           2, $CellContext`L, $CellContext`l], 
          $CellContext`RpC[2.5, 0, 1, $CellContext`l]}, AspectRatio -> 
         Automatic, Epilog -> {
           Text["C2", {3.5, 1.5}], 
           Text["R1", {1.5 $CellContext`L, 0.475}], 
           Text["R2", {3.5, 0}]}, PlotRange -> {{0.5, 5.}, {-0.5, 1.75}}, 
         ImageSize -> {210, 125}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 10}]; $CellContext`coth[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L - $CellContext`L/10, $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              10, $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Line[{{$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             10, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L, $CellContext`yO - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L, $CellContext`yO - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              10, $CellContext`yO - $CellContext`l/2}}]}]; $CellContext`fRCRM = 
       Show[
         $CellContext`Res[0, 0, $CellContext`L, $CellContext`l], 
         $CellContext`Res[
         2 $CellContext`L, 0, $CellContext`L, $CellContext`l], 
         $CellContext`coth[
         3.5 $CellContext`L, 0, $CellContext`L, $CellContext`l], 
         Cap[
         2.5 $CellContext`L, $CellContext`L, $CellContext`L, $CellContext`l], 
         
         Graphics[{
           AbsoluteThickness[$CellContext`trfin], 
           Line[{{2 $CellContext`L, 0}, {2 $CellContext`L, $CellContext`L}}], 
           
           
           Line[{{2 $CellContext`L, $CellContext`L}, {
             2.5 $CellContext`L, $CellContext`L}}], 
           
           Line[{{4.5 $CellContext`L, $CellContext`L}, {
             5 $CellContext`L, $CellContext`L}}], 
           
           Line[{{5 $CellContext`L, $CellContext`L}, {
             5 $CellContext`L, 0}}]}], AspectRatio -> Automatic, Epilog -> {
           Text["R1", {$CellContext`L, 0}], 
           Text["R2", {3 $CellContext`L, 0}], 
           Text["C2", {3.5 $CellContext`L, 1.5 $CellContext`L}], 
           Text["R2", {3 $CellContext`L, 0}], 
           Text["M2", {4.5 $CellContext`L, 0.5 $CellContext`L}]}, 
         PlotRange -> {{0, 5.5}, {-0.9, 2. $CellContext`L}}, 
         ImageSize -> {210, 125}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 8}]; $CellContext`Ind[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + 
             1.2 ($CellContext`r/2), $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + $CellContext`r/2 + 
             9 ($CellContext`r/10), $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`r, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            2 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, Pi}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            3.5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            6.5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            8 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/10, {
           0, 5 (Pi/4)}]}]; $CellContext`fRLRC = Show[{
          $CellContext`Res[-$CellContext`L, $CellContext`L/
           2, $CellContext`L, $CellContext`l], 
          $CellContext`Ind[$CellContext`L/2, $CellContext`L/2, 1], 
          $CellContext`RpC[2.5, 0, 1, $CellContext`l]}, AspectRatio -> 
         Automatic, Epilog -> {
           Text["L1", {1.5, 0.9}], 
           Text["C2", {3.5, 1.5}], 
           Text["R1", {0, 0.475}], 
           Text["R2", {3.5, 0}], FontWeight -> "Bold", FontSize -> 12, 
           Text["\[Copyright] www.bio-logic.info", {-6.5, -3.5}, {-4, 0}]}, 
         PlotRange -> {{(-1.05) $CellContext`L, 5.}, {-0.5, 1.75}}, 
         ImageSize -> (ImageSize -> {210, 125}), 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 
           10}]; $CellContext`graphCirc = {$CellContext`fRRC, \
$CellContext`fRLRC, $CellContext`fRCRM}; $CellContext`lf1 = {
        10^(-4), 3000, 317695, 317696, 317697, 7967, 
         10^(-4)}; $CellContext`lmod1 = {
        10^7, 10^7, 1000, 100, 10, 10^(-2), 10^(-2)}; $CellContext`lpt1 = N[
         Transpose[{
           Log10[$CellContext`lf2], 
           Log10[$CellContext`lmod2]}]]; $CellContext`lf2 = {
        10^(-4), 600, 6000, 650000, 650001, 650002, 6000, 
         10^(-4)}; $CellContext`lmod2 = {
        4 10^7, 4 10^7, 1 10^7, 1000, 100, 10, 10^(-3), 
         10^(-3)}; $CellContext`lpt2 = N[
         Transpose[{
           Log10[$CellContext`lf1], 
           Log10[$CellContext`lmod1]}]]; $CellContext`c1 = 
       LightGreen; $CellContext`c2 = LightOrange; $CellContext`gContour = Show[
         Graphics[{LightRed, 
           Polygon[{{-4, -4}, {6, -4}, {6, 9}, {-4, 9}}], $CellContext`c2, 
           Polygon[$CellContext`lpt1], $CellContext`c1, 
           Polygon[$CellContext`lpt2], Black, 
           AbsoluteThickness[1.25], 
           Line[$CellContext`lpt1], 
           Line[$CellContext`lpt2]}], 
         FrameLabel -> {
          "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)", 
           "log(|\!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)|/\
\[CapitalOmega])"}, PlotRange -> {{-4, 6}, {-4, 9}}, Frame -> True, 
         AspectRatio -> 1/GoldenRatio, 
         FrameTicks -> {{-4, -2, 0, 2, 4, 6}, {-6, -3, 0, 3, 6}, None, None}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 10}]; $CellContext`sol = 
       First[
         FullSimplify[
          
          Solve[{$CellContext`y1 == $CellContext`a $CellContext`x1 + \
$CellContext`b, $CellContext`y2 == $CellContext`a $CellContext`x2 + \
$CellContext`b}, {$CellContext`a, $CellContext`b}]]]; $CellContext`lab1 = 
       Table[
         ReplaceAll[$CellContext`sol, {$CellContext`x1 -> 
           Part[$CellContext`lpt1, $CellContext`i, 1], $CellContext`y1 -> 
           Part[$CellContext`lpt1, $CellContext`i, 2], $CellContext`x2 -> 
           Part[$CellContext`lpt1, $CellContext`i + 1, 1], $CellContext`y2 -> 
           Part[$CellContext`lpt1, $CellContext`i + 1, 2]}], {$CellContext`i, 
          Length[$CellContext`lpt1] - 1}]; $CellContext`lab2 = Table[
         ReplaceAll[$CellContext`sol, {$CellContext`x1 -> 
           Part[$CellContext`lpt2, $CellContext`i, 1], $CellContext`y1 -> 
           Part[$CellContext`lpt2, $CellContext`i, 2], $CellContext`x2 -> 
           Part[$CellContext`lpt2, $CellContext`i + 1, 1], $CellContext`y2 -> 
           Part[$CellContext`lpt2, $CellContext`i + 1, 2]}], {$CellContext`i, 
          Length[$CellContext`lpt2] - 1}]; $CellContext`poly = Polygon[{
          Scaled[{0.05, 0.875}], 
          Scaled[{0.95, 0.875}], 
          Scaled[{0.95, 0.95}], 
          Scaled[{0.05, 0.95}]}]; $CellContext`precis := Condition[
         Text[
          Style[
          "\[CapitalDelta]|Z|/|Z| < 1%,  \!\(\*SubscriptBox[\(\[CapitalDelta]\
\[Phi]\), \(Z\)]\) < 1\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Green]; $CellContext`precis := Condition[
         Text[
          Style[
          "1% < \[CapitalDelta]|Z|/|Z| < 3%, 1% < \!\(\*SubscriptBox[\(\
\[CapitalDelta]\[Phi]\), \(Z\)]\) < 3\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Orange]; $CellContext`precis := Condition[
         Text[
          Style[
          " \[CapitalDelta]|Z|/|Z| > 3%, \!\(\*SubscriptBox[\(\[CapitalDelta]\
\[Phi]\), \(Z\)]\) > 3\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Red]; $CellContext`llabelNyqx = {
        "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"+\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Rd\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"/\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"3\",\nFontSlant->\"Italic\"]\))"}; \
$CellContext`llabelNyqy = {
        "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"+\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Rd\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"/\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"3\",\nFontSlant->\"Italic\"]\))"}; 
      Null); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
},
WindowSize->{593.6, 713.79},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 28885, 583, 693, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature fvTU#UEYmyPSLD1hCOTMDV0q *)
